/*
 *  mappix-trackedit.h
 *
 *  Copyright (C) 2006,2007 Nils Faerber <nils.faerber@kernelconcepts.de>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _MAPPIX_TRACKEDIT_H
#define _MAPPIX_TRACKEDIT_H

#ifdef __cplusplus
extern "C"
{
#endif

void on_auto_split (GtkButton *, gpointer);
void on_auto_thin (GtkButton *, gpointer);
void on_properties_track (GtkButton *, gpointer);
void on_track_angle_simplify (GtkButton *, gpointer);
void on_track_delete (GtkToolButton *, gpointer);
void on_select_trackpoint_cb(GtkToolButton *, gpointer);
void on_select_region_cb(GtkToolButton *, gpointer);
void do_trackpoint_region_select(gint, gint, guint, guint, gpointer);
void on_move_trackpoint_cb(GtkToolButton *, gpointer);
void do_select_trackpoint(gint, gint, gpointer);
void do_move_trackpoint(gint, gint, gint, gint, gpointer);
void track_find_minmax(gpointer, gpointer);
void track_add_new_to_main(mapwin *, track_head *);
void on_delete_nodes_cb(GtkToolButton *, gpointer);
void on_split_track(GtkToolButton *, gpointer);
void on_track_length(GtkWidget *, gpointer);

#ifdef __cplusplus
}
#endif

#endif /* _MAPPIX_TRACKEDIT_H */
