/*
 *
 *  mappix
 *
 *  Copyright (C) 2006 Nils Faerber <nils.faerber@kernelconcepts.de>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */


/* we don't do much here, mainly fire up the UI */

#include <stdio.h>

#include "mappix.h"

int main(int argc, char **argv)
{
mapwin Mapper;
#ifdef HILDON
osso_context_t *context;
#endif

	gtk_init (&argc, &argv);
#ifdef HILDON
	context = osso_initialize (OSSO_SERVICE_NAME, APP_VER, TRUE, NULL);
	g_assert(context);
#endif

	Mapper.tracklist = NULL;
	Mapper.waypoints = NULL;
	Mapper.cities = NULL;

	create_main_window(&Mapper);

	gtk_main();

return 0;
}
